Package com.arms.api.analysis.topmenu.service

## Interface TopMenuService

- All Known Implementing Classes:
    `TopMenuServiceImpl`

      public interface TopMenuService

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ReqStatusCountVO` | `analysisTopMenuReqStatusSummary​(java.lang.String changeReqTableName, java.lang.Long pdServiceId, java.util.List<java.lang.Long> pdServiceVersionLinks)` |
    `TopMenuVO` | `getTopMenuData​(java.lang.String changeReqTableName, TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `ReqAndSubtaskByAssigneeTotalVO` | `topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `ReqAndIssueTotalCountVO` | `topMenuTotalCountWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |
    `VersionPeriodVO` | `topMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)` |

- - ### Method Detail

    - #### getTopMenuData

          TopMenuVO getTopMenuData​(java.lang.String changeReqTableName,
                                   TopMenuAnalysisDTO topMenuAnalysisDTO)
                            throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### analysisTopMenuReqStatusSummary

          ReqStatusCountVO analysisTopMenuReqStatusSummary​(java.lang.String changeReqTableName,
                                                           java.lang.Long pdServiceId,
                                                           java.util.List<java.lang.Long> pdServiceVersionLinks)
                                                    throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### topMenuTotalCountWithReqAndSubtask

          ReqAndIssueTotalCountVO topMenuTotalCountWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                              throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### topMenuResourceInfoWithReqAndSubtask

          ReqAndSubtaskByAssigneeTotalVO topMenuResourceInfoWithReqAndSubtask​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### topMenuVersionPeriod

          VersionPeriodVO topMenuVersionPeriod​(TopMenuAnalysisDTO topMenuAnalysisDTO)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`